Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           icu
Version:        3.8.1
Release: 	1
Summary:        International Components for Unicode

Group:          System/Libraries
License:        X License
URL:            http://www.ibm.com/software/globalization/icu/
Source0:        ftp://ftp.software.ibm.com/software/globalization/icu/icu4c-3_8_1-src.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  doxygen autoconf
Patch0:		icu-3.6-setBreakType.patch
Patch1:  	icu-3.4-multiarchdevel.patch
Patch2:  	icu-config
Patch3:  	icu.icu5365.dependantvowels.patch
Patch4:  	icu.icu5418.malayam.patch
Patch5:  	icu.icu5431.malayam.patch
Patch7:  	icu.icuXXXX.virama.prevnext.patch
Patch9:  	icu.icu5488.assamese.patch
Patch10: 	icu.icu5500.devicetablecrash.patch

%description
The International Components for Unicode (ICU) libraries provide
robust and full-featured Unicode services on a wide variety of
platforms. ICU supports the most current version of the Unicode
standard, and they provide support for supplementary Unicode
characters (needed for GB 18030 repertoire support).
As computing environments become more heterogeneous, software
portability becomes more important. ICU lets you produce the same
results across all the various platforms you support, without
sacrificing performance. It offers great flexibility to extend and
customize the supplied services.

%package     -n lib%{name}
Summary:        International Components for Unicode - libraries
Group:          System/Libraries
Provides:       libicui18n.so.38

%description -n lib%{name}
%{summary}.

%package     -n lib%{name}-devel
Summary:        Development files for International Components for Unicode
Group:          Development/Libraries
Requires:       lib%{name} = %{version}-%{release}
Requires:       pkg-config

%description -n lib%{name}-devel
%{summary}.

%package     -n lib%{name}-doc
Summary:        Documentation for International Components for Unicode
Group:          Documentation

%description -n lib%{name}-doc
%{summary}.


%prep
%setup -q -n %{name}
%patch0 -p1
#%patch1  -p1 -b .multiarchdevel
%patch3  -p1 -b .dependantvowels
#%patch4  -p1 -b .icu5418.malayam.patch
%patch5  -p1 -b .icu5431.malayam.patch
%patch7  -p1 -b .icuXXXX.virama.prevnext.patch
#%patch9  -p1 -b .icu5488.assamese.patch
#%patch10 -p1 -b .icu5500.devicetablecrash.patch

%build
cd source
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
autoconf
# the && make generates an exit code of 0, so rpmbuild thinks everything is nice and cosy
%configure --with-data-packaging=library --disable-samples && make
make
make doc

%install
rm -rf $RPM_BUILD_ROOT source/__docs

make -C source install DESTDIR=$RPM_BUILD_ROOT
make -C source install-doc docdir=__docs
chmod +x $RPM_BUILD_ROOT%{_libdir}/*.so.*
cp %{PATCH2} $RPM_BUILD_ROOT%{_bindir}/%{name}-config
chmod a+x $RPM_BUILD_ROOT%{_bindir}/%{name}-config
#sed -i s/\\\$\(THREADSCXXFLAGS\)// $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/icu.pc
#sed -i s/\\\$\(THREADSCPPFLAGS\)/-D_REENTRANT/ $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/icu.pc
%check || :
make -C source check


%clean
rm -rf $RPM_BUILD_ROOT


%post -n lib%{name} -p /sbin/ldconfig

%postun -n lib%{name} -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc license.html readme.html
%{_bindir}/derb
%{_bindir}/genbrk
%{_bindir}/gencnval
%{_bindir}/genctd
%{_bindir}/genrb
%{_bindir}/makeconv
%{_bindir}/pkgdata
%{_bindir}/uconv
%{_sbindir}/*
%{_mandir}/man1/derb.1*
%{_mandir}/man1/gencnval.1*
%{_mandir}/man1/genrb.1*
%{_mandir}/man1/genbrk.1*
%{_mandir}/man1/genctd.1*
%{_mandir}/man1/makeconv.1*
%{_mandir}/man1/pkgdata.1*
%{_mandir}/man1/uconv.1*
%{_mandir}/man8/*.8*

%files -n lib%{name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1*
%{_includedir}/layout
%{_includedir}/unicode
%{_libdir}/*.so
%{_libdir}/%{name}
#%{_libdir}/pkgconfig/icu.pc
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%{_datadir}/%{name}/%{version}/mkinstalldirs
%{_datadir}/%{name}/%{version}/config
%doc %{_datadir}/%{name}/%{version}/license.html
%{_datadir}/%{name}/%{version}/install-sh

%files -n lib%{name}-doc
%defattr(-,root,root,-)
%doc source/__docs/%{name}/html/*


%changelog
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.8-1
- Version update
* Tue Dec 05 2006 Christian Metzen <metzench@ccux-linux.de> 3.6-1
- Initial release
